Home Linkr Documentation
Would you use Linkr in Joomla! 1.7?
 

Documentation

Attention: open in a new window.PDFPrintEmail
Article Index
Documentation
Configuration
Debugging
All Pages

Installing Linkr

The extension is made up of three files: the editor button, the component and the plugin.
 
  1. Either:
    • Download those three files from JoomlaCode.org External link
    • Install the button (plg.linkr_button...) through the administration area of your site (Administrator » Extensions » Install/Uninstall)
    • Install the plugin (plg.linkr_content...) and the component (com.linkr...) the same way
  2. Or:
    • Get the Super Installer from JoomlaCode.org External link
    • And use it to install all three files at once
  3. Browse to Administrator » Extensions » Plugin Manager to activate the button (Editor Button - Linkr) and the plugin (Content - Linkr)
  4. You're now set. Get to Linking!
NOTE: When using the Super Installer, make sure to install any additional patches listed on JoomlaCode.org. Patches have the word "patch" in the file name, so they're easy to recognize.

NOTE: If you're using Joomla! 1.5.10 (or a later version), you can use the Super Installer to override an older version of Linkr. If you have Joomla! 1.5.9 (or older) currently installed, then you will need to uninstall the older version prior to using the Super Installer package (or use the individual upgrade packages instead).

ANOTHER NOTE: Linkr versions up to 2.3.7 are not compatible with MooTools 1.2 (see article for more information).

Requirements

  • Joomla! 1.5.1 [sennu] or later (the latest version is always recomended)
  • Joomla! 1.5.0 or 1.0.x wont be able to run Linkr!
  • Not compatible with Joomla! 1.6

Installing a patch

Installing a patch is as easy as using the Joomla! installer to override the current files. Patches have version numbers and letters. Letters go from A to Z, so a patch labeled "E" is more recent then a patch labeled "B". Patches are good for the versions they indicate. So, a patch "com.linkr.patch-231c" is good for Linkr 2.3.1 as well as for a patched version "Linkr 2.3.1b", but not for an older version "Linkr 2.3.0".

NOTE: Clear your cache External link after installing a patch.

Before you head to the support page...

Linkr was built to work as seamlessly as possible with Joomla! 1.5. Very often, people have problems with Linkr because they are relatively new to the CMS. That's because linkr uses many of Joomla!'s core functions. Fortunately for all of us, there is a very extensive and very well documented help page for administrators. I suggest you skim through it here.


Linkr 2.3.8 (13 June 2011) is ready for download, and is compatible with MooTools 1.2. It has also been tested with the Firefox 4, Internet Explorer 9, and Google Chrome browsers.